org.apache.xerces.impl

## Class XMLEntityManager.ExternalEntity

- java.lang.Object
- - org.apache.xerces.impl.XMLEntityManager.Entity
  - - org.apache.xerces.impl.XMLEntityManager.ExternalEntity

Enclosing class:
  XMLEntityManager

    protected static class XMLEntityManager.ExternalEntity
    extends XMLEntityManager.Entity

External entity.

Author:
  Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`org.apache.xerces.xni.XMLResourceIdentifier` `entityLocation` container for all relevant entity location information.
`java.lang.String` `notation` Notation name for unparsed entity.

### Fields inherited from class org.apache.xerces.impl.XMLEntityManager.Entity

`inExternalSubset, name`

### Constructor Summary

Constructors
Constructor and Description
`ExternalEntity()` Default constructor.
`ExternalEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier entityLocation, java.lang.String notation, boolean inExternalSubset)` Constructs an internal entity.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` Clears the entity.
`boolean` `isExternal()` Returns true if this is an external entity.
`boolean` `isUnparsed()` Returns true if this is an unparsed entity.
`void` `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.
`void` `setValues(XMLEntityManager.ExternalEntity entity)` Sets the values of the entity.

### Methods inherited from class org.apache.xerces.impl.XMLEntityManager.Entity

`isEntityDeclInExternalSubset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### entityLocation

    public org.apache.xerces.xni.XMLResourceIdentifier entityLocation

container for all relevant entity location information.

#### notation

    public java.lang.String notation

Notation name for unparsed entity.

### Constructor Detail

#### ExternalEntity

    public ExternalEntity()

Default constructor.

#### ExternalEntity

    public ExternalEntity(java.lang.String name,
                          org.apache.xerces.xni.XMLResourceIdentifier entityLocation,
                          java.lang.String notation,
                          boolean inExternalSubset)

Constructs an internal entity.

### Method Detail

#### isExternal

    public final boolean isExternal()

Returns true if this is an external entity.

Specified by:
  `isExternal` in class `XMLEntityManager.Entity`

#### isUnparsed

    public final boolean isUnparsed()

Returns true if this is an unparsed entity.

Specified by:
  `isUnparsed` in class `XMLEntityManager.Entity`

#### clear

    public void clear()

Clears the entity.

Overrides:
  `clear` in class `XMLEntityManager.Entity`

#### setValues

    public void setValues(XMLEntityManager.Entity entity)

Sets the values of the entity.

Overrides:
  `setValues` in class `XMLEntityManager.Entity`

#### setValues

    public void setValues(XMLEntityManager.ExternalEntity entity)

Sets the values of the entity.